from httpClient.BaseHttpRequest import BaseHttpRequest
from httpClient.HttpParameter import HttpParameter
from httpClient.RequestMethod import RequestMethod


class CategoryDetailRequest(BaseHttpRequest):

    def __init__(self, categoryId=None, categoryName=None, tenantName=None):
        self.__categoryId = categoryId
        self.__categoryName = categoryName
        self.__tenantName = tenantName

    def get_categoryId(self):
        return self.__categoryId

    def set_categoryId(self, value):
        self.__categoryId = value

    def get_categoryName(self):
        return self.__categoryName

    def set_categoryName(self, value):
        self.__categoryName = value

    def get_tenantName(self):
        return self.__tenantName

    def set_tenantName(self, value):
        self.__tenantName = value

    def get_path(self):
        return '/v2/category/detail'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.GET)
        if self.__categoryId is not None:
            parameter.add_params('categoryId', self.__categoryId)
        if self.__categoryName is not None:
            parameter.add_params('categoryName', self.__categoryName)
        if self.__tenantName is not None:
            parameter.add_params('tenantName', self.__tenantName)
        return parameter