from httpClient.BaseHttpRequest import *
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *


class CategoryListRequest(BaseHttpRequest):

    def __init__(self, selectOffset=None, selectLimit=None, tenantName=None):
        self.__selectOffset = selectOffset
        self.__selectLimit = selectLimit
        self.__tenantName = tenantName

    def get_selectOffset(self):
        return self.__selectOffset

    def set_selectOffset(self, value):
        if not isinstance(value, int):
            raise ValueError('selectOffset must be an integer!')
        self.__selectOffset = value

    def get_selectLimit(self):
        return self.__selectOffset

    def set_selectLimit(self, value):
        if not isinstance(value, int):
            raise ValueError('selectLimit must be an integer!')
        self.__selectLimit = value

    def get_tenantName(self):
        return self.__tenantName

    def set_tenantName(self, value):
        self.__tenantName = value

    def get_params(self):
        params = HttpParameter(RequestMethod.GET)
        params.add_params('selectOffset', self.__selectOffset)
        params.add_params('selectLimit', self.__selectLimit)
        params.add_params('tenantName', self.__tenantName)
        return params

    def get_path(self):
        return "/v2/category/list"
