import json

from httpClient.BaseHttpRequest import *
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *


class ContractForceEndRequest(BaseHttpRequest):

    def __init__(self, contractId=None, bizId=None, tenantName=None, reason=None):
        self.__contractId = contractId
        self.__bizId = bizId
        self.__tenantName = tenantName
        self.__reason = reason

    def get_contractId(self):
        return self.__contractId

    def set_contractId(self, value):
        self.__contractId = value

    def get_bizId(self):
        return self.__bizId

    def set_bizId(self, value):
        self.__bizId = value

    def get_tenantName(self):
        return self.__tenantName

    def set_tenantName(self, value):
        self.__tenantName = value

    def get_reason(self):
        return self.__reason

    def set_reason(self, value):
        self.__reason = value

    def get_path(self):
        return '/v2/contract/forceend'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__contractId is not None:
            json_dic['contractId'] = self.__contractId
        if self.__bizId is not None:
            json_dic['bizId'] = self.__bizId
        if self.__tenantName is not None:
            json_dic['tenantName'] = self.__tenantName
        if self.__reason is not None:
            json_dic['reason'] = self.__reason
        parameter.set_json(json.dumps(json_dic))
        return parameter
