from httpClient.BaseHttpRequest import BaseHttpRequest
from httpClient.HttpParameter import HttpParameter
from httpClient.RequestMethod import RequestMethod

class EmployeeSealImageRequest(BaseHttpRequest):

    def __init__(self, companyName=None, contact=None, contactType=None):
        self.__companyName = companyName
        self.__contact = contact
        self.__contactType = contactType

    def get_companyName(self):
        return self.__companyName

    def set_companyName(self, value):
        self.__companyName = value

    def get_contact(self):
        return self.__contact

    def set_contact(self, value):
        self.__contact = value

    def get_contactType(self):
        return self.__contactType

    def set_contactType(self, value):
        self.__contactType = value

    def get_path(self):
        return '/v2/seal/employeesealimage'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.GET)
        if self.__companyName is not None:
            parameter.add_params('companyName', self.__companyName)
        if self.__contact is not None:
            parameter.add_params('contact', self.__contact)
        if self.__contactType is not None:
            parameter.add_params('contactType', self.__contactType)
        return parameter