import json

from httpClient.BaseHttpRequest import BaseHttpRequest
from httpClient.HttpParameter import HttpParameter
from httpClient.RequestMethod import RequestMethod

class SaaSCompanyAuthUrlRequest(BaseHttpRequest):

    def __init__(self, companyId=None):
        self.__companyId = companyId

    def get_companyId(self):
        return self.__companyId

    def set_companyId(self, value):
        self.__companyId = value

    def get_path(self):
        return '/saas/v2/companyauth/url'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__companyId is not None:
            json_dic['companyId'] = self.__companyId
        parameter.set_json(json.dumps(json_dic))
        return parameter