import json

from httpClient.BaseHttpRequest import BaseHttpRequest
from httpClient.HttpParameter import HttpParameter
from httpClient.RequestMethod import RequestMethod

class SaaSResetTokenRequest(BaseHttpRequest):

    def __init__(self, companyId=None,accessToken=None):
        self.__companyId = companyId
        self.__accessToken = accessToken

    def get_companyId(self):
        return self.__companyId

    def set_companyId(self, value):
        self.__companyId = value

    def get_accessToken(self):
        return self.__accessToken

    def set_accessToken(self, value):
        self.__accessToken = value

    def get_path(self):
        return '/saas/v2/company/resettoken'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__accessToken is not None:
            json_dic['accessToken'] = self.__accessToken
        if self.__companyId is not None:
            json_dic['companyId'] = self.__companyId
        parameter.set_json(json.dumps(json_dic))
        return parameter