import json

from httpClient.BaseHttpRequest import BaseHttpRequest
from httpClient.HttpParameter import HttpParameter
from httpClient.RequestMethod import RequestMethod

class SaasCompanyAuthPageUrlRequest(BaseHttpRequest):

    def __init__(self, companyName=None, registerNo=None,
                 legalPerson=None,applicantInfo=None,
                 license=None):
        self.__companyName = companyName
        self.__registerNo = registerNo
        self.__legalPerson = legalPerson
        self.__applicantInfo = applicantInfo
        self.__license = license

    def get_companyName(self):
        return self.__companyName

    def set_companyName(self, value):
        self.__companyName = value

    def get_registerNo(self):
        return self.__registerNo

    def set_registerNo(self, value):
        self.__registerNo = value

    def get_legalPerson(self):
        return self.__legalPerson

    def set_legalPerson(self, value):
        self.__legalPerson = value

    def get_applicantInfo(self):
        return self.__applicantInfo

    def set_applicantInfo(self, value):
        self.__applicantInfo = value

    def get_license(self):
        return self.__license

    def set_license(self, value):
        self.__license = value


    def get_path(self):
        return '/saas/v2/companyauth/pageurl'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__registerNo is not None:
            json_dic['registerNo'] = self.__registerNo
        if self.__companyName is not None:
            json_dic['companyName'] = self.__companyName
        if self.__legalPerson is not None:
            json_dic['legalPerson'] = self.__legalPerson
        if self.__applicantInfo is not None:
            json_dic['applicantInfo'] = self.__applicantInfo.to_json()
        if self.__license is not None:
            json_dic['license'] = self.__license
        parameter.set_json(json.dumps(json_dic))
        return parameter

