import json

from httpClient.BaseHttpRequest import BaseHttpRequest
from httpClient.HttpParameter import HttpParameter
from httpClient.RequestMethod import RequestMethod

class SaasPrivilegeUrlRequest(BaseHttpRequest):

    def __init__(self, appId=None, companyId=None,
                 user=None,createToken=None,
                 successUrl=None,callbackUrl=None):
        self.__appId = appId
        self.__companyId = companyId
        self.__user = user
        self.__createToken = createToken
        self.__successUrl = successUrl
        self.__callbackUrl = callbackUrl

    def get_appId(self):
        return self.__appId

    def set_appId(self, value):
        self.__appId = value

    def get_companyId(self):
        return self.__companyId

    def set_companyId(self, value):
        self.__companyId = value

    def get_user(self):
        return self.__user

    def set_user(self, value):
        self.__user = value

    def get_createToken(self):
        return self.__createToken

    def set_createToken(self, value):
        self.__createToken = value

    def get_successUrl(self):
        return self.__successUrl

    def set_successUrl(self, value):
        self.__successUrl = value

    def get_callbackUrl(self):
        return self.__callbackUrl

    def set_callbackUrl(self, value):
        self.__callbackUrl = value


    def get_path(self):
        return '/saas/v2/privilege/url'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__appId is not None:
            json_dic['appId'] = self.__appId
        if self.__companyId is not None:
            json_dic['companyId'] = self.__companyId
        if self.__user is not None:
            json_dic['user'] = self.__user.to_json()
        if self.__createToken is not None:
            json_dic['createToken'] = self.__createToken
        if self.__successUrl is not None:
            json_dic['successUrl'] = self.__successUrl
        if self.__callbackUrl is not None:
            json_dic['callbackUrl'] = self.__callbackUrl
        parameter.set_json(json.dumps(json_dic))
        return parameter