from httpClient.BaseHttpRequest import *
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *
import json


class SealCreatebyImageRequest(BaseHttpRequest):

    def __init__(self, tenantName=None, sealType=None, sealName=None, sealImage=None, sealSpec=None, lpLetter=None, sealUsers=None, callbackUrl=None):
        self.__tenantName = tenantName
        self.__sealType = sealType
        self.__sealName = sealName
        self.__sealImage = sealImage
        self.__sealSpec = sealSpec
        self.__lpLetter = lpLetter
        self.__sealUsers = sealUsers
        self.__callbackUrl = callbackUrl

    def get_tenantName(self):
        return self.__tenantName

    def set_tenantName(self, value):
        self.__tenantName = value

    def get_sealType(self):
        return self.__sealType

    def set_sealType(self, value):
        self.__sealType = value

    def get_sealName(self):
        return self.__sealName

    def set_sealName(self, value):
        self.__sealName = value

    def get_sealImage(self):
        return self.__sealImage

    def set_sealImage(self, value):
        self.__sealImage = value

    def get_sealSpec(self):
        return self.__sealSpec

    def set_sealSpec(self, value):
        self.__sealSpec = value

    def get_lpLetter(self):
        return self.__lpLetter

    def set_lpLetter(self, value):
        self.__lpLetter = value

    def get_sealUsers(self):
        return self.__sealUsers

    def set_sealUsers(self, value):
        self.__sealUsers = value

    def get_callbackUrl(self):
        return self.__callbackUrl

    def set_callbackUrl(self, value):
        self.__callbackUrl = value

    def get_path(self):
        return '/v2/seal/createbyimage'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__tenantName is not None:
            json_dic['tenantName'] = self.__tenantName
        if self.__sealType is not None:
            json_dic['sealType'] = self.__sealType
        if self.__sealName is not None:
            json_dic['sealName'] = self.__sealName
        if self.__sealImage is not None:
            json_dic['sealImage'] = self.__sealImage
        if self.__lpLetter is not None:
            json_dic['lpLetter'] = self.__lpLetter
        if self.__sealUsers is not None:
            user_list = []
            for user in self.__sealUsers:
                user_list.append(user.to_json())
            json_dic['sealUsers'] = user_list
        if self.__callbackUrl is not None:
            json_dic['callbackUrl'] = self.__callbackUrl
        parameter.set_json(json.dumps(json_dic))
        return parameter
