from httpClient.BaseHttpRequest import *
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *
import json


class SealEditRequest(BaseHttpRequest):

    def __init__(self, sealId=None, sealName=None, operate=None, sealUsers=None):
        self.__sealId = sealId
        self.__sealName = sealName
        self.__operate = operate
        self.__sealUsers = sealUsers

    def get_sealId(self):
        return self.__sealId

    def set_sealId(self, value):
        self.__sealId = value

    def get_sealName(self):
        return self.__sealName

    def set_sealName(self, value):
        self.__sealName = value

    def get_operate(self):
        return self.__operate

    def set_operate(self, value):
        self.__operate = value

    def get_sealUsers(self):
        return self.__sealUsers

    def set_sealUsers(self, value):
        self.__sealUsers = value

    def get_path(self):
        return '/v2/seal/edit'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__sealId is not None:
            json_dic['sealId'] = self.__sealId
        if self.__sealName is not None:
            json_dic['sealName'] = self.__sealName
        if self.__operate is not None:
            json_dic['operate'] = self.__operate
        if self.__sealUsers is not None:
            user_list = []
            for user in self.__sealUsers:
                user_list.append(user.to_json())
            json_dic['sealUsers'] = user_list
        parameter.set_json(json.dumps(json_dic))
        return parameter
