import json

from httpClient.BaseHttpRequest import BaseHttpRequest
from httpClient.HttpParameter import HttpParameter
from httpClient.RequestMethod import RequestMethod

class TemplateStatusManageRequest(BaseHttpRequest):

    def __init__(self, templateId=None,operate=None):
        self.__templateId = templateId
        self.__operate = operate

    def get_templateId(self):
        return self.__templateId

    def set_templateId(self, value):
        self.__templateId = value

    def get_operate(self):
        return self.__operate

    def set_operate(self, value):
        self.__operate = value

    def get_path(self):
        return '/v2/template/status'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__operate is not None:
            json_dic['operate'] = self.__operate
        if self.__templateId is not None:
            json_dic['templateId'] = self.__templateId
        parameter.set_json(json.dumps(json_dic))
        return parameter